import {Base} from '../../static/util/base.js';

class My extends Base {

    constructor() {
        super();
    }

    //修改密码
    editPassword(data, callBack) {
        const params = {
            url: '/editPassword',
            type: 'POST',
            data: data,
            sCallBack: function (res) {
                callBack && callBack(res)
            }
        }
        this.request(params);
    }

//修改个人信息
    editUserInfo(data, callBack) {
        const params = {
            url: '/editUserInfo',
            type: 'POST',
            data: data,
            sCallBack: function (res) {
                callBack && callBack(res)
            }
        }
        this.request(params);
    }

    //绑定openid
    bandWxOpenid(code, callBack) {
        const params = {
            url: '/auth/bandWxOpenid?code=' + code,
            type: 'GET',
            sCallBack: function (res) {
                callBack && callBack(res.data)
            }
        }
        this.request(params);
    }

}

const _my = new My();
export {_my}